/* File: filecopy2.c -- zu Kap. 1.5.3. Programmbeispiele
   Fkt.: Kopieren der Standardeingabe zur Standardausgabe;
	 Numerieren aller Zeilen */
#include <stdio.h>
#define YES 1
#define NO 0
main() {
	short nl_anz;
	int c, zeile_nr;
	zeile_nr = 1;
	nl_anz = YES;
	while((c = getchar()) != EOF)	{
		if(nl_anz)	{
			printf("%6d ", zeile_nr);
			zeile_nr = zeile_nr + 1;
		}
		if(c != '\n') nl_anz = NO;
		else nl_anz = YES;
		putchar(c);
}	}
